'Future.Library Printing/scrolling and Mouse Support
'

REM $INCLUDE: 'future.bi'

Set640x480 8'set 640x480 svga screen

Future.MouseOn 'turn on svga mouse

ScrollMe$ = " Hello World -- hmm how original... (Click mouse/or hit any key) "

ScrollPos% = 640


DO
P% = P% XOR 1

SetPage P%

REM WAIT &H3DA, 8         'Rem out if Mouse is on
REM WAIT &H3DA, 8, 8      '

FOR i% = 0 TO 15
Future.LINE ScrollPos%, i% + 220, ScrollPos% + (LEN(ScrollMe$) * 8) - 1, i% + 220, 16 + i%, -1
NEXT
Future.PRINT ScrollPos%, 220, ScrollMe$, -1, 0


ViewPage P%

ScrollPos% = ScrollPos% - 3

IF ScrollPos% = 318 - ((LEN(ScrollMe$) * 8) \ 2) THEN
        DO
        Future.UpdateMouse
        LOOP UNTIL Future.MouseB OR LEN(INKEY$)
END IF

LOOP UNTIL INKEY$ = CHR$(27) OR ScrollPos% < -(LEN(ScrollMe$) * 8)


Future.MouseOff 'turn off svga mouse
ReSetScreen     'set the screen back in text mode

